Trace
curl --request GET \
--url https://data.flightportrait.com/v1/trace/{hex_id}import requests
url = "https://data.flightportrait.com/v1/trace/{hex_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://data.flightportrait.com/v1/trace/{hex_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hex": "76cd06",
"points": [
[
1787924000,
1.48,
103.7,
6000,
84
],
[
1787924061,
1.5,
103.8,
6325,
85.4
]
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Live
Trace
Recent positions for one aircraft, oldest first. Each point is [t, lat, lon, alt_baro, track]. Held in memory, about 30 minutes. 404 if none.
GET
/
v1
/
trace
/
{hex_id}
Trace
Path Parameters
ICAO 24-bit address, hex. Case-insensitive.
Response
OK